Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05312 Crash/Freeze Critical (emulator) Always Sep 25, 2013, 19:04 Jan 1, 2014, 20:15
Tester scoobydude51 View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver namcona1.cpp
Version 0.150 Fixed in Version 0.153 Build Normal
Summary 05312: All games in namcona1.c: Emulator crashes when hard resetting or switching games
Description Emulator crashes when hard resetting or switching games. you can hard reset or switch games during the self test but if you hard reset or switch games after that, it crashes
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems All games in namcona1.c
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.09841
NekoEd
Senior Tester
Sep 25, 2013, 22:41
Confirmed SDLMAME64/Linux 0.150
User avatar
No.09842
Firewave
Senior Tester
Sep 26, 2013, 11:35
ALSA lib seq_hw.c:457:(snd_seq_hw_open) open /dev/snd/seq failed: Permission denied
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4720:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4720:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4241:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4720:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2217:(snd_pcm_open_noupdate) Unknown PCM default
=================================================================
==24704==ERROR: AddressSanitizer: heap-use-after-free on address 0x6210000635a8 at pc 0x20c83a3 bp 0x7fff338a48f0 sp 0x7fff338a48e8
READ of size 8 at 0x6210000635a8 thread T0
    #0 0x20c83a2 in _ZNK18object_finder_baseItEcvPtEv /home/notroot/trunk/src/emu/devfind.h:94
    #1 0x897ee0d in _ZN14namcona1_state17tilemap_get_info3ER9tilemap_tR9tile_dataj /home/notroot/trunk/src/mame/video/namcona1.c:83
    #2 0x182b4000 in _ZNK13delegate_baseIvR9tilemap_tR9tile_dataj8_noparamS4_EclES1_S3_j /home/notroot/trunk/src/emu/delegate.h:542
    #3 0x182a012e in _ZN9tilemap_t11tile_updateEjjj /home/notroot/trunk/src/emu/tilemap.c:767
    #4 0x182e5498 in _ZN9tilemap_t13draw_instanceI12bitmap_ind16EEvRT_RKNS_15blit_parametersEii /home/notroot/trunk/src/emu/tilemap.c:1192
    #5 0x182b5524 in _ZN9tilemap_t11draw_commonI12bitmap_ind16EEvR13screen_deviceRT_RK9rectanglejhh /home/notroot/trunk/src/emu/tilemap.c:978
    #6 0x182a5f6d in _ZN9tilemap_t4drawER13screen_deviceR12bitmap_ind16RK9rectanglejhh /home/notroot/trunk/src/emu/tilemap.c:1059
    #7 0x898cab3 in _ZL15draw_backgroundR13screen_deviceR12bitmap_ind16RK9rectangleii /home/notroot/trunk/src/mame/video/namcona1.c:625
    #8 0x898976a in _ZN14namcona1_state22screen_update_namcona1ER13screen_deviceR12bitmap_ind16RK9rectangle /home/notroot/trunk/src/mame/video/namcona1.c:689
    #9 0x1820113a in _ZNK13delegate_baseIjR13screen_deviceR12bitmap_ind16RK9rectangle8_noparamS7_EclES1_S3_S6_ /home/notroot/trunk/src/emu/delegate.h:542
    #10 0x181f6247 in _ZN13screen_device14update_partialEi /home/notroot/trunk/src/emu/screen.c:602
    #11 0x1844d4ce in _ZN13video_manager21finish_screen_updatesEv /home/notroot/trunk/src/emu/video.c:658
    #12 0x1844c326 in _ZN13video_manager12frame_updateEb /home/notroot/trunk/src/emu/video.c:229
    #13 0x181f3e57 in _ZN13screen_device12vblank_beginEv /home/notroot/trunk/src/emu/screen.c:801
    #14 0x181f2d86 in _ZN13screen_device12device_timerER9emu_timerjiPv /home/notroot/trunk/src/emu/screen.c:398
    #15 0x181e237a in _ZN8device_t13timer_expiredER9emu_timerjiPv /home/notroot/trunk/src/emu/device.h:228
    #16 0x181d2f6b in _ZN16device_scheduler14execute_timersEv /home/notroot/trunk/src/emu/schedule.c:933
    #17 0x181c6559 in _ZN16device_scheduler9timesliceEv /home/notroot/trunk/src/emu/schedule.c:454
    #18 0x17d46acd in _ZN15running_machine3runEb /home/notroot/trunk/src/emu/machine.c:415
    #19 0x17d323aa in _Z12mame_executeR11emu_optionsR13osd_interface /home/notroot/trunk/src/emu/mame.c:202
    #20 0x1769d906 in _ZN12cli_frontend7executeEiPPc /home/notroot/trunk/src/emu/clifront.c:255
    #21 0x108cd931 in main /home/notroot/trunk/src/osd/sdl/sdlmain.c:378
    #22 0x7f848a244ea4 in ?? ??:0
    #23 0x1f19c5c in _start ??:?
0x6210000635a8 is located 2216 bytes inside of 4672-byte region [0x621000062d00,0x621000063f40)
freed by thread T0 here:
    #0 0x1f0bae4 in free ??:?
    #1 0x19ba04dc in osd_free /home/notroot/trunk/src/osd/sdl/sdlos_unix.c:115
    #2 0x179f371e in _Z14free_file_linePvPKci /home/notroot/trunk/src/emu/emualloc.c:214
    #3 0x8968767 in _ZdlPv /home/notroot/trunk/src/emu/emualloc.h:131
    #4 0x897c49b in ~resource_pool_object /home/notroot/trunk/src/emu/emualloc.h:247
    #5 0x897bb1c in ~resource_pool_object /home/notroot/trunk/src/emu/emualloc.h:247
    #6 0x897bd95 in ~resource_pool_object /home/notroot/trunk/src/emu/emualloc.h:247
    #7 0x179f836f in _ZN13resource_pool6removeEPv /home/notroot/trunk/src/emu/emualloc.c:372
    #8 0x17d859fe in ~machine_config /home/notroot/trunk/src/emu/mconfig.c:138
    #9 0x17d32743 in _Z12mame_executeR11emu_optionsR13osd_interface /home/notroot/trunk/src/emu/mame.c:216
    #10 0x1769d906 in _ZN12cli_frontend7executeEiPPc /home/notroot/trunk/src/emu/clifront.c:255
    #11 0x108cd931 in main /home/notroot/trunk/src/osd/sdl/sdlmain.c:378
    #12 0x7f848a244ea4 in ?? ??:0
previously allocated by thread T0 here:
    #0 0x1f0bbc4 in __interceptor_malloc ??:?
    #1 0x19ba02bc in osd_malloc /home/notroot/trunk/src/osd/sdl/sdlos_unix.c:87
    #2 0x179f1a34 in _Z16malloc_file_linemPKci /home/notroot/trunk/src/emu/emualloc.c:146
    #3 0x896f8f3 in _ZnwmPKciRK9zeromem_t /home/notroot/trunk/src/emu/emualloc.h:175
    #4 0x17d854f3 in _ZN14machine_config10device_addEP8device_tPKcPFS1_RKS_S3_S1_jEj /home/notroot/trunk/src/emu/mconfig.c:194
    #5 0x895afb4 in _ZL33construct_machine_config_namcona1R14machine_configP8device_t /home/notroot/trunk/src/mame/drivers/namcona1.c:1006
    #6 0x17d82710 in machine_config /home/notroot/trunk/src/emu/mconfig.c:68
    #7 0x17d3222a in _Z12mame_executeR11emu_optionsR13osd_interface /home/notroot/trunk/src/emu/mame.c:189
    #8 0x1769d906 in _ZN12cli_frontend7executeEiPPc /home/notroot/trunk/src/emu/clifront.c:255
    #9 0x108cd931 in main /home/notroot/trunk/src/osd/sdl/sdlmain.c:378
    #10 0x7f848a244ea4 in ?? ??:0
Shadow bytes around the buggy address:
  0x0c4280004660: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c4280004670: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c4280004680: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c4280004690: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c42800046a0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
=>0x0c42800046b0: fd fd fd fd fd[fd]fd fd fd fd fd fd fd fd fd fd
  0x0c42800046c0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c42800046d0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c42800046e0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c42800046f0: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
  0x0c4280004700: fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd fd
Shadow byte legend (one shadow byte represents 8 application bytes):
  Addressable: 00
  Partially addressable: 01 02 03 04 05 06 07
  Heap left redzone: fa
  Heap right redzone: fb
  Freed heap region: fd
  Stack left redzone: f1
  Stack mid redzone: f2
  Stack right redzone: f3
  Stack partial redzone: f4
  Stack after return: f5
  Stack use after scope: f8
  Global redzone: f9
  Global init order: f6
  Poisoned by user: f7
  ASan internal: fe
==24704==ABORTING
User avatar
No.09849
Fortuna
Tester
Sep 28, 2013, 01:25
In 32 bits too, but only when change a game

Tested in official build in 32bits